## AgsExportOutput

AgsExportOutput — export output task

## Stability Level

Stable, unless otherwise indicated

## Functions

AgsExportOutput * | ags_export_output_new ()

## Properties

AgsExportThread * | export-thread | Read / Write
char * | filename | Read / Write
guint | format | Read / Write
gboolean | live-performance | Read / Write
GObject * | soundcard | Read / Write
guint | tic | Read / Write

## Types and Values

enum | AgsExportOutputFormat

## Object Hierarchy

        GObject
        ╰── AgsTask
            ╰── AgsExportOutput

## Includes

    #include <ags/audio/task/ags_export_output.h>

## Description

The AgsExportOutput task exports GObject to file.

## Functions

### ags_export_output_new ()

    AgsExportOutput *
    ags_export_output_new (AgsExportThread *export_thread,
                           GObject *soundcard,
                           gchar *filename,
                           guint tic,
                           gboolean live_performance);

Creates an AgsExportOutput.

#### Parameters

export_thread | the AgsExportThread to start |
soundcard | the GObject to export |
filename | the filename to save |
tic | stream duration in tact |
live_performance | if `TRUE` export is done during real-time |

#### Returns

an new AgsExportOutput.

Since: 3.0.0

## Types and Values

### enum AgsExportOutputFormat

Enum values to control output format of AgsExportOutput.

#### Members

AGS_EXPORT_OUTPUT_FORMAT_WAV | use WAV format |
AGS_EXPORT_OUTPUT_FORMAT_OGG | use OGG format |
AGS_EXPORT_OUTPUT_FORMAT_FLAC | use FLAC format |
AGS_EXPORT_OUTPUT_FORMAT_AIFF | use AIFF format |

## Property Details

### The `“export-thread”` property

      “export-thread”            AgsExportThread *

The assigned AgsExportThread

Owner: AgsExportOutput

Flags: Read / Write

Since: 3.0.0

### The `“filename”` property

      “filename”                 char *

The assigned filename.

Owner: AgsExportOutput

Flags: Read / Write

Default value: NULL

Since: 3.0.0

### The `“format”` property

      “format”                   guint

Format to use.

Owner: AgsExportOutput

Flags: Read / Write

Default value: 0

Since: 3.0.0

### The `“live-performance”` property

      “live-performance”         gboolean

Do output the audio export live.

Owner: AgsExportOutput

Flags: Read / Write

Default value: FALSE

Since: 3.0.0

### The `“soundcard”` property

      “soundcard”                GObject *

The assigned AgsSoundcard

Owner: AgsExportOutput

Flags: Read / Write

Since: 3.0.0

### The `“tic”` property

      “tic”                      guint

Tic offset of output as end tic of it.

Owner: AgsExportOutput

Flags: Read / Write

Default value: 0

Since: 3.0.0